Change generated dependency structure #16

Open
qnikst opened this Issue Oct 27, 2013 · 2 comments

Projects

None yet

2 participants

@qnikst
Gentoo Haskell Community User member

For lower bounds use:

  !<foo/bar-0.1.2

instead of:

  >foo/bar-0.1.2:=[profile?]

This should be more dependency-resolution friendly.

@trofi
Gentoo Haskell Community User member

But that way we lose USE flag depend for rare cases where only lower bound is present.

@qnikst
Gentoo Haskell Community User member

hm.. make sence.
Moreover, we even loose package dependency.
So in the case of only lower bound, old variant is the only way to go.

Also we are loosing a variant to use a number of versions of the same lib if we ever will introduce it.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment